summaryrefslogtreecommitdiffstats
path: root/server_wizard/scripts/check_domain.sh
diff options
context:
space:
mode:
Diffstat (limited to 'server_wizard/scripts/check_domain.sh')
-rwxr-xr-xserver_wizard/scripts/check_domain.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/server_wizard/scripts/check_domain.sh b/server_wizard/scripts/check_domain.sh
new file mode 100755
index 00000000..4575b069
--- /dev/null
+++ b/server_wizard/scripts/check_domain.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+# script for wizard basic network configuration
+#
+# checking if the provided domain value is correct :
+# strip the @, need at least a dot
+
+echo_debug "$(date) begin $0"
+
+if [ -z "${wiz_host_name}" ] ;then
+ echo_debug "wiz_host_name is empty, should not."
+ exit 1
+fi
+
+
+test=`echo ${wiz_host_name##*@} |sed -e 's/[^0-9a-zA-Z-\.]//g'|sed -n -e's/^[^.]*\.\(.*\)$/\1/p'|grep "\."`
+
+htest=`echo ${wiz_host_name##*@} |sed -e 's/[^0-9a-zA-Z-\.]//g'|sed -n -e's/^\([^.]*\)\..*$/\1/p'`
+
+echo_debug "test of host : ${htest}"
+
+if [ -z "${htest}" ] ;then
+ echo_debug "host empty, should not."
+ exit 1
+fi
+
+echo_debug "test of domain : ${test}"
+
+if [ -z "${test}" ] ;then
+ echo_debug "domain empty, should not."
+ exit 1
+fi
+
+# all seems to be ok
+exit 10
+